<template>
<div class="registration">
    <div class="container">
        <div class="title">
            <h1>Реєстрація</h1>
        </div>
        <div class="form">
            <h3 style="color:red;" v-if="regError">Перевірьте правильність написання email та паролю</h3>
            <h3 style="color:red;">{{logError}}</h3>
            <input type="email" v-model.trim="regEmail" placeholder="Email" />
            <input type="password" v-model="regPassword" placeholder="Пароль" />
            <input value ="Зареєструватися" type="button" @click="regestr" class="btn-reg" />
            
            <h3>Вже є аккаунт?</h3>
                
            <router-link  v-bind:to="'/login/'" >
                <input type="button" class="btn-login" value ="Увійти" />
            </router-link>
            <router-link  v-bind:to="'/'" >
                    <input class="btn-skip" style="font-size: 1.8rem" type="button" value ="Перейти до пошуку без реєстрації">
            </router-link>
        </div>
      
    </div>
    <!--/.container-->
</div>
<!--/.registration-->
 
</template>
    
    <script>
    import Vue from 'vue'
    import axios from 'axios'
    import VueAxios from 'vue-axios'

    Vue.use(VueAxios, axios)

    export default {

    data: function () {
        return {
            regEmail: '',
            regPassword: '',
            regError:false,
            regUser: null,
            user: this.$store.getters.getUser,
            logError:'',
           };
    },
    mounted: function () {
        if (this.user != null){
            this.$router.push('/');
        }
    },
    methods: {
        regestr(){
            this.logError='';
            if ((this.regEmail == '')||(this.regPassword == '')){
                this.regError = true;
            }
            else {
                Vue.axios.get("http://localhost:3030/user/" + this.regEmail)
                .then((resporese)=>{
                    if( resporese.data.length == 0) {
                        this.regUser = {
                            "email": this.regEmail,
                            "password": this.regPassword,
                            "type":"user",
                            "search":" ",
                        };
                        Vue.axios.post("http://localhost:3030/user",this.regUser)
                            // .catch(error=>{
                            //     alert("Сервер не доступний, спробуйте пізніше");
                            // });
                        this.$store.commit('setUser', this.regUser);
                        this.$router.push('/');
                    }
                    else{
                        return this.logError = "Такий користувач вже є";
                    }
                })  
                .catch(error=>{
                    alert("Сервер не доступний, спробуйте пізніше");
                });
            }
        }
    },
   
    }

    </script>
